Collapse All Expand All Language Filter: Code: All Code: Multiple Code: Visual Basic Code: C# Code: Visual C++ Code: J# Code: JScript

EDKB12WS Reference
clsConnectionProvider Members
See Also

The following tables list the members exposed by the clsConnectionProvider type.

# Public Constructors

| Name | Description
--- | --- | ---
| clsConnectionProvider Constructor |
Top

# Public Properties

| Name | Description
--- | --- | ---
| bIsTransactionPending |
| sConnectionString |
| scoDBConnection |
| stCurrentTransaction |
Top

# Public Methods

| Name | Description
--- | --- | ---
| BeginTransaction |
| CloseConnection |
| CommitTransaction |
| Dispose | (Overloaded)
| Equals | (Overloaded) (inherited from Object).
| GetHashCode | (inherited from Object).
| GetType | (Overloaded) (inherited from Object).
| OpenConnection |
| ReferenceEquals | (inherited from Object).
| RollbackTransaction |
| SaveTransaction |
| ToString | (inherited from Object).
Top

# Protected Methods

| Name | Description
--- | --- | ---
| Finalize | (inherited from Object).
| MemberwiseClone | (Overloaded) (inherited from Object).
Top

# Private, internal (Friend) and internal protected (Protected Friend) Methods

| Name | Description
--- | --- | ---
| InitClass |
Top

# Fields

| Name | Description
--- | --- | ---
| m_alSavePoints |
| m_bIsDisposed |
| m_bIsTransactionPending |
| m_scoDBConnection |
| m_stCurrentTransaction |
Top

# See Also

## Reference clsConnectionProvider Class EDKB12WS.edokadb Namespace